Bug 1196518 - %optflags in libapreq2.pc
Summary: %optflags in libapreq2.pc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libapreq2
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 07:04 UTC by Ralf Corsepius
Modified: 2017-08-18 01:21 UTC (History)
1 user (show)

Fixed In Version: libapreq2-2.13-27.fc26 libapreq2-2.13-27.fc25 libapreq2-2.13-12.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-09 15:58:48 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2015-02-26 07:04:26 UTC
Description of problem:
/usr/lib64/pkgconfig/libapreq2.pc contains %optflags in CFlags.

Packages are not supposed to add %optflags to *.pc

Version-Release number of selected component (if applicable):
libapreq2-devel-2.13-18.fc22

Steps to Reproduce:
1. Check the contents of the libapreq2-devel rpm

Actual results:
...
Cflags:  -DLINUX -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fno-strict-aliasing  -I/usr/include/apr-1  -I${includedir}
...

Expected results:
*.pc not to contain %optflags.

Additional info:
I haven't checked other fedora releases, but I assume this issue to be present there, too.

Comment 1 Fedora End Of Life 2016-07-19 12:52:54 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Ralf Corsepius 2016-08-02 12:38:11 UTC
Reopening. Bug is still present in fc24.

Comment 3 Fedora End Of Life 2017-07-25 18:50:55 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Ralf Corsepius 2017-07-26 09:21:11 UTC
Bug is still present in Fedora 25 and above.

I think it's time to start and AWOL process against this package's maintainer.

Comment 5 Bojan Smojver 2017-07-26 10:12:26 UTC
Feel free to take the package if you're still interested in it.

Comment 6 Bojan Smojver 2017-07-27 03:54:39 UTC
For the reasons that I cannot quite understand yet, the package for F25 with optfags hosed from the PC file won't build. Every other current branch is built in koji.

Comment 7 Fedora Update System 2017-07-31 22:43:39 UTC
libapreq2-2.13-27.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29f0760ef5

Comment 8 Fedora Update System 2017-07-31 22:43:52 UTC
libapreq2-2.13-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-778f8daa7b

Comment 9 Fedora Update System 2017-08-01 22:19:14 UTC
libapreq2-2.13-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-778f8daa7b

Comment 10 Fedora Update System 2017-08-01 23:49:19 UTC
libapreq2-2.13-27.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29f0760ef5

Comment 11 Fedora Update System 2017-08-02 01:52:37 UTC
libapreq2-2.13-27.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-03a80ab427

Comment 12 Fedora Update System 2017-08-02 03:51:12 UTC
libapreq2-2.13-27.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-759fdebadc

Comment 13 Fedora Update System 2017-08-09 15:58:48 UTC
libapreq2-2.13-27.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-08-09 19:58:58 UTC
libapreq2-2.13-27.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-08-18 01:21:09 UTC
libapreq2-2.13-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.